// SPDX-FileCopyrightText: Copyright 2023 Open Mobile Platform LLC <community@omp.ru>
// SPDX-License-Identifier: BSD-3-Clause
import 'package:flutter/widgets.dart';
import 'package:scoped_model/scoped_model.dart';
import 'package:xdga_directories/xdga_directories.dart' as xdga;

/// Model for [EmbedderTexturePage]
class EmbedderTextureModel extends Model {
  /// Get [ScopedModel]
  static EmbedderTextureModel of(BuildContext context) =>
      ScopedModel.of<EmbedderTextureModel>(context);

  /// Error
  String? _error;

  /// Public error
  String? get error => _error;

  /// Public is error
  bool get isError => _error != null;

}
