// SPDX-FileCopyrightText: Copyright 2023 Open Mobile Platform LLC <community@omp.ru>
// SPDX-License-Identifier: BSD-3-Clause
import 'package:flutter_example_packages/base/package/package_page.dart';
import 'package:flutter_example_packages/packages/embedder_texture/page.dart';
import 'package:get_it/get_it.dart';

import 'model.dart';

/// Package values
final packageEmbedderTexture = PackagePage(
  key: 'Embedder Texture',
  descEN: '''
    Test Embedder texture plugin
    ''',
  descRU: '''
    Тестирование текстур Embedder
    ''',
  version: '0.0.1',
  isPlatformDependent: true,
  page: () => EmbedderTexturePage(),
  init: () {
    GetIt.instance
        .registerFactory<EmbedderTextureModel>(() => EmbedderTextureModel());
  },
);
