/**
 * SPDX-FileCopyrightText: Copyright 2023 Open Mobile Platform LLC <community@omp.ru>
 * SPDX-License-Identifier: BSD-3-Clause
 */
#ifndef EMBEDDER_TEXTURE_PLUGIN_H
#define EMBEDDER_TEXTURE_PLUGIN_H

#include <flutter/plugin-interface.h>

#include <embedder_texture/camera.h>

#ifdef PLUGIN_IMPL
#define PLUGIN_EXPORT __attribute__((visibility("default")))
#else
#define PLUGIN_EXPORT
#endif

class PLUGIN_EXPORT EmbedderTexturePlugin final : public PluginInterface
{
public:
    EmbedderTexturePlugin();
    void RegisterWithRegistrar(PluginRegistrar &registrar) override;

private:
    void onMethodCall(const MethodCall &call);
    void onCreate(const MethodCall &call);
    void onRemove(const MethodCall &call);
    void unimplemented(const MethodCall &call);

private:
    Camera *m_camera;
    bool m_isEnableOrientationChanged = false;
};

#endif /* EMBEDDER_TEXTURE_PLUGIN_H */
